gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck = {};
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects1= [];
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects2= [];

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.conditionTrue_0 = {val:false};
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition0IsTrue_0 = {val:false};
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition1IsTrue_0 = {val:false};
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition2IsTrue_0 = {val:false};


gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.mapOfGDgdjs_46evtsExt_95_95TestExtensions_95_95RightClickOnAnObjectCheck_46GDObjectObjects1Objects = Hashtable.newFrom({"Object": gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects1});gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.eventsList0 = function(runtimeScene, eventsFunctionContext) {

{

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects1.createFrom(eventsFunctionContext.getObjects("Object"));

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition0IsTrue_0.val = false;
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition1IsTrue_0.val = false;
{
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.mapOfGDgdjs_46evtsExt_95_95TestExtensions_95_95RightClickOnAnObjectCheck_46GDObjectObjects1Objects, runtimeScene, true, false);
}if ( gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition0IsTrue_0.val ) {
{
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition1IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Right");
}}
if (gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.condition1IsTrue_0.val) {
{if (typeof eventsFunctionContext !== 'undefined') { eventsFunctionContext.returnValue = true; }}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\game_order.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().get("SFXVolume")), 1);
}}

}


};

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.func = function(runtimeScene, Object, parentEventsFunctionContext) {
var eventsFunctionContext = {
  _objectsMap: {
"Object": Object
},
  _objectArraysMap: {
"Object": gdjs.objectsListsToArray(Object)
},
  _behaviorNamesMap: {
},
  getObjects: function(objectName) {
    return eventsFunctionContext._objectArraysMap[objectName] || [];
  },
  getObjectsLists: function(objectName) {
    return eventsFunctionContext._objectsMap[objectName] || null;
  },
  getBehaviorName: function(behaviorName) {
    return eventsFunctionContext._behaviorNamesMap[behaviorName];
  },
  createObject: function(objectName) {
    var objectsList = eventsFunctionContext._objectsMap[objectName];
    if (objectsList) {
      return parentEventsFunctionContext ?
        parentEventsFunctionContext.createObject(objectsList.firstKey()) :
        runtimeScene.createObject(objectsList.firstKey());
    }
    return null;
  },
  getArgument: function(argName) {
    return "";
  },
  getOnceTriggers: function() { return runtimeScene.getOnceTriggers(); }
};

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects1.length = 0;
gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.GDObjectObjects2.length = 0;

gdjs.evtsExt__TestExtensions__RightClickOnAnObjectCheck.eventsList0(runtimeScene, eventsFunctionContext);
return !!eventsFunctionContext.returnValue;
}

